#include "stdafx.h"
#include "RelPaths.h"


#pragma warning(disable: 26477)

int _tmain()
{
  //Test out the absolute to relative path function
  CRelativePaths::String sValue;
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\afile.ext"),                           _T("c:\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\afile.ext"),                     _T("c:\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\afile.ext"),               _T("c:\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\dir5\\afile.ext"),         _T("c:\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\afile.ext"),                     _T("c:\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\afile.ext"),               _T("c:\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\dir5\\afile.ext"),         _T("c:\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\afile.ext"),                           _T("c:\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\afile.ext"),                     _T("c:\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\afile.ext"),               _T("c:\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\dir5\\afile.ext"),         _T("c:\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\afile.ext"),                     _T("c:\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\afile.ext"),               _T("c:\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\dir5\\afile.ext"),         _T("c:\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\afile.ext"),                           _T("c:\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\afile.ext"),                     _T("c:\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\afile.ext"),               _T("c:\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\dir5\\afile.ext"),         _T("c:\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\afile.ext"),                     _T("c:\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\afile.ext"),               _T("c:\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\dir5\\afile.ext"),         _T("c:\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\afile.ext"),                           _T("c:\\dir1\\dir2\\dir3\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\afile.ext"),                     _T("c:\\dir1\\dir2\\dir3\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\afile.ext"),               _T("c:\\dir1\\dir2\\dir3\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\dir5\\afile.ext"),         _T("c:\\dir1\\dir2\\dir3\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\afile.ext"),                     _T("c:\\dir1\\dir2\\dir3\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\afile.ext"),               _T("c:\\dir1\\dir2\\dir3\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\dir5\\afile.ext"),         _T("c:\\dir1\\dir2\\dir3\\saved.ext2"), sValue));
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\afile.ext"),                           _T("d:\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\afile.ext"),                     _T("d:\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\afile.ext"),               _T("d:\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\dir5\\afile.ext"),         _T("d:\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\afile.ext"),                     _T("d:\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\afile.ext"),               _T("d:\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\dir5\\afile.ext"),         _T("d:\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\afile.ext"),                           _T("d:\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\afile.ext"),                     _T("d:\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\afile.ext"),               _T("d:\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\dir5\\afile.ext"),         _T("d:\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\afile.ext"),                     _T("d:\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\afile.ext"),               _T("d:\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\dir5\\afile.ext"),         _T("d:\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\afile.ext"),                           _T("d:\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\afile.ext"),                     _T("d:\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\afile.ext"),               _T("d:\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\dir5\\afile.ext"),         _T("d:\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\afile.ext"),                     _T("d:\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\afile.ext"),               _T("d:\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\dir5\\afile.ext"),         _T("d:\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\afile.ext"),                           _T("d:\\dir1\\dir2\\dir3\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\afile.ext"),                     _T("d:\\dir1\\dir2\\dir3\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\afile.ext"),               _T("d:\\dir1\\dir2\\dir3\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\dir5\\afile.ext"),         _T("d:\\dir1\\dir2\\dir3\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\afile.ext"),                     _T("d:\\dir1\\dir2\\dir3\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\afile.ext"),               _T("d:\\dir1\\dir2\\dir3\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\dir5\\afile.ext"),         _T("d:\\dir1\\dir2\\dir3\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\afile.ext"),                           _T("\\\\BINKY\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\afile.ext"),                     _T("\\\\BINKY\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\afile.ext"),               _T("\\\\BINKY\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\dir5\\afile.ext"),         _T("\\\\BINKY\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\afile.ext"),                     _T("\\\\BINKY\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\afile.ext"),               _T("\\\\BINKY\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\dir5\\afile.ext"),         _T("\\\\BINKY\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\afile.ext"),                           _T("\\\\BINKY\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\afile.ext"),                     _T("\\\\BINKY\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\afile.ext"),               _T("\\\\BINKY\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\dir5\\afile.ext"),         _T("\\\\BINKY\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\afile.ext"),                     _T("\\\\BINKY\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\afile.ext"),               _T("\\\\BINKY\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\dir5\\afile.ext"),         _T("\\\\BINKY\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\afile.ext"),                           _T("\\\\BINKY\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\afile.ext"),                     _T("\\\\BINKY\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\afile.ext"),               _T("\\\\BINKY\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\dir5\\afile.ext"),         _T("\\\\BINKY\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\afile.ext"),                     _T("\\\\BINKY\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\afile.ext"),               _T("\\\\BINKY\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\dir5\\afile.ext"),         _T("\\\\BINKY\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\afile.ext"),                           _T("\\\\BINKY\\dir1\\dir2\\dir3\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\afile.ext"),                     _T("\\\\BINKY\\dir1\\dir2\\dir3\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\afile.ext"),               _T("\\\\BINKY\\dir1\\dir2\\dir3\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir1\\dir4\\dir5\\afile.ext"),         _T("\\\\BINKY\\dir1\\dir2\\dir3\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\afile.ext"),                     _T("\\\\BINKY\\dir1\\dir2\\dir3\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\afile.ext"),               _T("\\\\BINKY\\dir1\\dir2\\dir3\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::AbsoluteToRelative(_T("c:\\dir3\\dir4\\dir5\\afile.ext"),         _T("\\\\BINKY\\dir1\\dir2\\dir3\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\afile.ext"),                    _T("\\\\BINKY\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir1\\afile.ext"),              _T("\\\\BINKY\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir1\\dir4\\afile.ext"),        _T("\\\\BINKY\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir1\\dir4\\dir5\\afile.ext"),  _T("\\\\BINKY\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir3\\afile.ext"),              _T("\\\\BINKY\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir3\\dir4\\afile.ext"),        _T("\\\\BINKY\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir3\\dir4\\dir5\\afile.ext"),  _T("\\\\BINKY\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\afile.ext"),                    _T("\\\\BINKY\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir1\\afile.ext"),              _T("\\\\BINKY\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir1\\dir4\\afile.ext"),        _T("\\\\BINKY\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir1\\dir4\\dir5\\afile.ext"),  _T("\\\\BINKY\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir3\\afile.ext"),              _T("\\\\BINKY\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir3\\dir4\\afile.ext"),        _T("\\\\BINKY\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir3\\dir4\\dir5\\afile.ext"),  _T("\\\\BINKY\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\afile.ext"),                    _T("\\\\BINKY\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir1\\afile.ext"),              _T("\\\\BINKY\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir1\\dir4\\afile.ext"),        _T("\\\\BINKY\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir1\\dir4\\dir5\\afile.ext"),  _T("\\\\BINKY\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir3\\afile.ext"),              _T("\\\\BINKY\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir3\\dir4\\afile.ext"),        _T("\\\\BINKY\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir3\\dir4\\dir5\\afile.ext"),  _T("\\\\BINKY\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\afile.ext"),                    _T("\\\\BINKY\\dir1\\dir2\\dir3\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir1\\afile.ext"),              _T("\\\\BINKY\\dir1\\dir2\\dir3\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir1\\dir4\\afile.ext"),        _T("\\\\BINKY\\dir1\\dir2\\dir3\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir1\\dir4\\dir5\\afile.ext"),  _T("\\\\BINKY\\dir1\\dir2\\dir3\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir3\\afile.ext"),              _T("\\\\BINKY\\dir1\\dir2\\dir3\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir3\\dir4\\afile.ext"),        _T("\\\\BINKY\\dir1\\dir2\\dir3\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::AbsoluteToRelative(_T("\\\\BINKY\\dir3\\dir4\\dir5\\afile.ext"),  _T("\\\\BINKY\\dir1\\dir2\\dir3\\saved.ext2"), sValue));

  //Test out the relative to absolute path function
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("afile.ext"),                               _T("c:\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("\\afile.ext"),                             _T("c:\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("..\\afile.ext"),                           _T("c:\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("afile.ext"),                               _T("c:\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("\\afile.ext"),                             _T("c:\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("..\\afile.ext"),                           _T("c:\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("..\\..\\afile.ext"),                       _T("c:\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("afile.ext"),                               _T("c:\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("\\afile.ext"),                             _T("c:\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("..\\afile.ext"),                           _T("c:\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("..\\..\\afile.ext"),                       _T("c:\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("..\\..\\..\\afile.ext"),                   _T("c:\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("x:\\afile.ext"),                           _T("c:\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("x:\\..\\afile.ext"),                       _T("c:\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("x:\\afile.ext"),                           _T("c:\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("x:\\..\\afile.ext"),                       _T("c:\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("x:\\..\\..\\afile.ext"),                   _T("c:\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("x:\\afile.ext"),                           _T("c:\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("x:\\..\\afile.ext"),                       _T("c:\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("x:\\..\\..\\afile.ext"),                   _T("c:\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\afile.ext"),                  _T("c:\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\..\\afile.ext"),              _T("c:\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\afile.ext"),                  _T("c:\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\..\\afile.ext"),              _T("c:\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\..\\..\\afile.ext"),          _T("c:\\dir1\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\afile.ext"),                  _T("c:\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\..\\afile.ext"),              _T("c:\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\..\\..\\afile.ext"),          _T("c:\\dir1\\dir2\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("afile.ext"),                               _T("f:\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("\\afile.ext"),                             _T("f:\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("..\\afile.ext"),                           _T("f:\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("afile.ext"),                               _T("f:\\dir1\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("\\afile.ext"),                             _T("f:\\dir1\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("..\\afile.ext"),                           _T("f:\\dir1\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("..\\..\\afile.ext"),                       _T("f:\\dir1\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("afile.ext"),                               _T("f:\\dir1\\dir2\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("\\afile.ext"),                             _T("f:\\dir1\\dir2\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("..\\afile.ext"),                           _T("f:\\dir1\\dir2\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("..\\..\\afile.ext"),                       _T("f:\\dir1\\dir2\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("..\\..\\..\\afile.ext"),                   _T("f:\\dir1\\dir2\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("x:\\afile.ext"),                           _T("f:\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("x:\\..\\afile.ext"),                       _T("f:\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("x:\\afile.ext"),                           _T("f:\\dir1\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("x:\\..\\afile.ext"),                       _T("f:\\dir1\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("x:\\..\\..\\afile.ext"),                   _T("f:\\dir1\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("x:\\afile.ext"),                           _T("f:\\dir1\\dir2\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("x:\\..\\afile.ext"),                       _T("f:\\dir1\\dir2\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("x:\\..\\..\\afile.ext"),                   _T("f:\\dir1\\dir2\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\afile.ext"),                  _T("f:\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\..\\afile.ext"),              _T("f:\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\afile.ext"),                  _T("f:\\dir1\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\..\\afile.ext"),              _T("f:\\dir1\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\..\\..\\afile.ext"),          _T("f:\\dir1\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\afile.ext"),                  _T("f:\\dir1\\dir2\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\..\\afile.ext"),              _T("f:\\dir1\\dir2\\saved.ext2"), sValue));
            (CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\..\\..\\afile.ext"),          _T("f:\\dir1\\dir2\\saved.ext2"), sValue));
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("f:\\dir1\\dir2\\saved.ext2"),              _T(""), sValue));
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("afile.ext"),                               _T("\\\\CORE_I7\\c\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\afile.ext"),                             _T("\\\\CORE_I7\\c\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("..\\afile.ext"),                           _T("\\\\CORE_I7\\c\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("afile.ext"),                               _T("\\\\CORE_I7\\c\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\afile.ext"),                             _T("\\\\CORE_I7\\c\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("..\\afile.ext"),                           _T("\\\\CORE_I7\\c\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("..\\..\\afile.ext"),                       _T("\\\\CORE_I7\\c\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("afile.ext"),                               _T("\\\\CORE_I7\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\afile.ext"),                             _T("\\\\CORE_I7\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("..\\afile.ext"),                           _T("\\\\CORE_I7\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("..\\..\\afile.ext"),                       _T("\\\\CORE_I7\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("..\\..\\..\\afile.ext"),                   _T("\\\\CORE_I7\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("x:\\afile.ext"),                           _T("\\\\CORE_I7\\c\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("x:\\..\\afile.ext"),                       _T("\\\\CORE_I7\\c\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("x:\\afile.ext"),                           _T("\\\\CORE_I7\\c\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("x:\\..\\afile.ext"),                       _T("\\\\CORE_I7\\c\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("x:\\..\\..\\afile.ext"),                   _T("\\\\CORE_I7\\c\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("x:\\afile.ext"),                           _T("\\\\CORE_I7\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("x:\\..\\afile.ext"),                       _T("\\\\CORE_I7\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("x:\\..\\..\\afile.ext"),                   _T("\\\\CORE_I7\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\afile.ext"),                  _T("\\\\CORE_I7\\c\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\..\\afile.ext"),              _T("\\\\CORE_I7\\c\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\afile.ext"),                  _T("\\\\CORE_I7\\c\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\..\\afile.ext"),              _T("\\\\CORE_I7\\c\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\..\\..\\afile.ext"),          _T("\\\\CORE_I7\\c\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\afile.ext"),                  _T("\\\\CORE_I7\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\..\\afile.ext"),              _T("\\\\CORE_I7\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\..\\..\\afile.ext"),          _T("\\\\CORE_I7\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\..\\..\\afile.ext"),          _T("\\\\CORE_I7\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\..\\..\\afile.ext"),          _T(""), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("afile.ext"),                               _T("\\\\JUPITER\\c\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\afile.ext"),                             _T("\\\\JUPITER\\c\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("..\\afile.ext"),                           _T("\\\\JUPITER\\c\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("afile.ext"),                               _T("\\\\JUPITER\\c\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\afile.ext"),                             _T("\\\\JUPITER\\c\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("..\\afile.ext"),                           _T("\\\\JUPITER\\c\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("..\\..\\afile.ext"),                       _T("\\\\JUPITER\\c\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("afile.ext"),                               _T("\\\\JUPITER\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\afile.ext"),                             _T("\\\\JUPITER\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("..\\afile.ext"),                           _T("\\\\JUPITER\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("..\\..\\afile.ext"),                       _T("\\\\JUPITER\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("..\\..\\..\\afile.ext"),                   _T("\\\\JUPITER\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("x:\\afile.ext"),                           _T("\\\\JUPITER\\c\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("x:\\..\\afile.ext"),                       _T("\\\\JUPITER\\c\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("x:\\afile.ext"),                           _T("\\\\JUPITER\\c\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("x:\\..\\afile.ext"),                       _T("\\\\JUPITER\\c\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("x:\\..\\..\\afile.ext"),                   _T("\\\\JUPITER\\c\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("x:\\afile.ext"),                           _T("\\\\JUPITER\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("x:\\..\\afile.ext"),                       _T("\\\\JUPITER\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("x:\\..\\..\\afile.ext"),                   _T("\\\\JUPITER\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\afile.ext"),                  _T("\\\\JUPITER\\c\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\..\\afile.ext"),              _T("\\\\JUPITER\\c\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\\\JUPITER\\afile.ext"),                  _T("\\\\JUPITER\\c\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\\\JUPITER\\..\\afile.ext"),              _T("\\\\JUPITER\\c\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\\\CORE_I7\\..\\..\\afile.ext"),          _T("\\\\JUPITER\\c\\dir1\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\\\JUPITER\\afile.ext"),                  _T("\\\\JUPITER\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\\\JUPITER\\..\\afile.ext"),              _T("\\\\JUPITER\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\\\JUPITER\\..\\..\\afile.ext"),          _T("\\\\JUPITER\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY(!CRelativePaths::RelativeToAbsolute(_T("\\\\JUPITER\\..\\..\\afile.ext"),          _T("\\\\CORE_I7\\c\\dir1\\dir2\\saved.ext2"), sValue)); //NOLINT(clang-diagnostic-unused-value)
  ATLVERIFY( CRelativePaths::RelativeToAbsolute(_T("\\\\JUPITER\\..\\..\\afile.ext"),          _T(""), sValue));

  return 0;
}
